kio Library: KSSLConnectionInfo Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLConnectionInfo Class Reference

KDE SSL Connection Information KDE SSL Connection Information. More...

`#include <ksslconnectioninfo.h>`

Collaboration diagram for KSSLConnectionInfo:

[legend]
List of all members.

## Public Member Functions
| ~KSSLConnectionInfo ()
const QString & | getCipher () const
const QString & | getCipherDescription () const
const QString & | getCipherVersion () const
int | getCipherUsedBits () const
int | getCipherBits () const
## Protected Member Functions
void | clean ()
## Protected Attributes
int | m_iCipherUsedBits
int | m_iCipherBits
QString | m_cipherName
QString | m_cipherDescription
QString | m_cipherVersion
## Friends
class | KSSL

## Detailed Description

KDE SSL Connection Information KDE SSL Connection Information.

This class contains the information about an SSL connection. It is generally referenced through KSSL.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL

Definition at line 40 of file ksslconnectioninfo.h.

## Constructor & Destructor Documentation

KSSLConnectionInfo::~KSSLConnectionInfo | ( |  | ) |

| Destroy this object. Definition at line 29 of file ksslconnectioninfo.cc.

## Member Function Documentation

const QString & KSSLConnectionInfo::getCipher | ( |  | ) | const

| Get the cipher in use. Returns: the cipher in use Definition at line 51 of file ksslconnectioninfo.cc.

const QString & KSSLConnectionInfo::getCipherDescription | ( |  | ) | const

| Describe the cipher in use. Returns: the cipher description (from OpenSSL) Definition at line 46 of file ksslconnectioninfo.cc.

const QString & KSSLConnectionInfo::getCipherVersion | ( |  | ) | const

| Get the version of the cipher in use. Returns: the version of the cipher Definition at line 41 of file ksslconnectioninfo.cc.

int KSSLConnectionInfo::getCipherUsedBits | ( |  | ) | const

| Get the number of bits of the cipher that are actually used. Returns: the number of bits in use Definition at line 56 of file ksslconnectioninfo.cc.

int KSSLConnectionInfo::getCipherBits | ( |  | ) | const

| Get bit-size of the cipher. Returns: the number of bits Definition at line 61 of file ksslconnectioninfo.cc.

The documentation for this class was generated from the following files:

- ksslconnectioninfo.h
- ksslconnectioninfo.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:24 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003